art - Bug #13055

Art bug when using Memory tracker in standard_g4_uboone.fcl
06/27/2016 11:58 AM - Libo Jiang

Status: Closed Start date: 06/27/2016
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 2.02.00 Spent time: 1.50 hour
Occurs In: Experiment: MicroBooNE
Scope: Internal SSI Package: art
Description

When we use

MemoryTracker: @local::microboone_memory_tracker

in the standard_g4_uboone.fcl, that results in an error message saying that

terminate called after throwing an instance of
::ExceptionDetail::translate>"
what () : —-—-—-— SQLExecutionError BEGIN

SQLite step failure
———— SQLExecutionError END

Instead of using MemoryTracker, to solve this problem, we tried

MemoryTracker:
@table: :microboone_memory_tracker

includeMallocInfo: false

And that works.

'cet::coded_exception<art::errors

::ErrorCodes,

&art

History

#1 - 06/27/2016 12:20 PM - Kyle Knoepfel

- Status changed from New to Assigned

- Assignee set to Kyle Knoepfel

- Estimated time set to 2.00 h

Although we will fix this error, for typical use of this service, we do not recommend setting the includeMallocinfo parameter to true. The malloc info

contains much that is unlikely to be beneficial for non-expert users.

#2 - 07/21/2016 05:01 PM - Libo Jiang

This was working for a while, but | tried yesterday, it gave me the same error. When | comment out the memory tracker clause, still get the same

error. Do you know why this have happened.

Here is the error message:

terminate called after throwing an instance of 'cet::coded_exception<art::errors::ErrorCodes, &art::ExceptionDetail::translate>'
what(): ---- SQLExecutionError BEGIN

SQLite step failure

---- SQLExecutionError END

#3 - 07/22/2016 01:06 PM - Kyle Knoepfel

For which situation are you getting the exception:

# Situation 1
MemoryTracker:

or
@local::microboone_memory_tracker
# Situation 2

MemoryTracker: {
@Qtable::microboone_memory_tracker
includeMallocInfo : false

#4 - 07/26/2016 04:22 PM - Libo Jiang

Both of these two situations give me the EXCEPTION error message. Thanks

#5 - 07/26/2016 04:26 PM - Kyle Knoepfel

Please provide me with instructions as to how to reproduce your error using:
lar -c <my_config> -s <my_file.root>

Please provide the configuration file, and an input file which demonstrates the problem. | will also need to know the uboonecode version number.

#6 - 07/29/2016 04:58 PM - Libo Jiang

The script is saved at /uboone/app/users/jiangl/larbatch_v05_14_00/srcs/larbatch/scripts/condor_lar.sh

Here is the command | used to test the new condor_lar.sh file

condor_lar.sh -n 100 --nfile 10 -cgen prod_muminus_0.1-2.0GeV_isotropic_uboone.fcl -cg4 standard_g4_uboone.fcl -cdetsim
standard_detsim_uboone.fcl -o prod_geng4detsim.root --group uboone --workdir /pnfs/uboone/scratch/users/jiangl/condortest --outdir
/pnfs/uboone/scratch/users/jiangl/condortest --logdir /pnfs/uboone/scratch/users/jiangl/condortest -i

Thanks.

#7 - 08/01/2016 01:21 PM - Kyle Knoepfel

Checking out uboonecode v05_14_00, | ran the following set of jobs (as implied by your script):

lar -c prod_muminus_0.1-2.0GeV_isotropic_uboone.fcl -n 10

lar -c standard_g4_uboone. fcl prod_muminus_0.1-2.0GeV_isotropic_uboone_20160801T161807_gen.root

lar -c standard_detsim_uboone.fcl prod_muminus_0.1-2.0GeV_isotropic_uboone_20160801T161807_gen_20160801T162058
_g4.root

| had no problems.

At which step are you seeing the exception being thrown? If the exception is being thrown in the G4 step or the detsim step, then please send me the
input file to that step, and | will try to reproduce.

#8 - 08/04/2016 01:29 PM - Kyle Knoepfel

- Description updated

- Status changed from Assigned to Resolved
- Target version set to 2.02.00

- SSI Package art added

- SSI Package deleted ()

#9 - 08/04/2016 01:30 PM - Kyle Knoepfel
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Fix implemented with commit art:f392e4bf.
